bittorrent (3.4.2-12) unstable; urgency=medium

  * QA upload.
  * Orphan the package, see #810612.
  * Split out a python-bittorrent package.
  * debian/patches/fix-readme-file.patch: add:
    + Remove instructions which only concern Windows systems.
    + Remove references to files which aren't in the package, and
      adjust executable names (./whatever.py -> whatever).
    + Fix two example commands which had incorrect arguments.
  * debian/patches/btshow-meta-info.patch: add:
    + Now bittorrent checks file type before trying to extract any information.
  * debian/patches/btmakemetafile.patch: add:
    + Set piece_len_exp to 18 if no exp defined.
  * Move to short dh syntax and debhelper compat 9.  Also use pybuild.
  * Run wrap-and-sort.
  * debian/control:
    + Merge Build-Depends-Indep into Build-Depends.
    + Bump Standards-Versions to 3.9.6, no further changes needed.
    + Remove the homepage, the original project is not really active anymore.
    + Build-Depend on python instead of python-all-dev.
    + Use source:Version instead of Source-Version substvar.
    + Add Vcs-* fields, pointing to a collab-maint repo
  * Remove useless maintainer scripts.
  * Remove useless debian/pyversions file.
  * Fix some spelling-error-in-manpage in bittorrent-downloader.bittorrent.1.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2016 17:10:40 +0000

bittorrent (3.4.2-11.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #785966)
  * debian/control: Add missing ${misc:Depends}.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Aug 2015 14:31:30 +0200

bittorrent (3.4.2-11.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to source format "3.0 (quilt)".
  * Update to use python-wxgtk3.0.  (Closes: #757431)
  * Apply patch from Ben Finney to update Python code to not throw string
    exceptions, which are no longer supported.  (Closes: #585222)
  * Install bittorrent.ico and fix paths in scripts so it gets used.
    (Closes: #733447)
  * Fix 'Torent' typo in short description.  (Closes: #424856, #673131)
  * debian/control: Update to use 'Homepage:'.  (Closes: #615435, #615465)
  * debian/bittorrent.docs: Apply patch from Benjamin Kerensa to replace
    unsupported shell brace expansion.  (Closes: #688620)

 -- Olly Betts <olly@survex.com>  Fri, 15 Aug 2014 12:10:28 +1200

bittorrent (3.4.2-11.5) unstable; urgency=low

  * Non-maintainer upload.
  * Drop useless dh_python call (Closes: #715296).
  * Drop useless XB-Python-Version fields.
  * Drop useless pycompat file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Jul 2013 02:30:02 +0200

bittorrent (3.4.2-11.4) unstable; urgency=low

  * Non-maintainer upload.
  * Update to depend on python-wxgtk2.8 rather than python-wxgtk2.6 - should
    be a low risk change, as with default alternatives 2.8 will already get
    used if installed, and 2.8 has twice as many installs according to popcon.
    (Closes: #645618)

 -- Olly Betts <olly@survex.com>  Thu, 24 Nov 2011 04:45:41 +0000

bittorrent (3.4.2-11.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk use.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 16:57:22 -0500

bittorrent (3.4.2-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch, thanks dude! (Closes: #547811)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 16:03:21 +0200

bittorrent (3.4.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in debian/rules. Closes: #477252.

 -- Peter Eisentraut <petere@debian.org>  Sun, 25 May 2008 03:52:26 +0200

bittorrent (3.4.2-11) unstable; urgency=low

  * Add LSB logging functionality. (thanks David!) Closes: #384724
  * Clarify short desciptions of packages. Closes: #418964.
  * Moved initscript into examples directory, as it was largely
    unused. Closes: #423901.
  * Example initscript now honors START_BTTRACK. Closes: 369831.

 -- Michael Janssen <jamuraa@debian.org>  Tue, 15 May 2007 19:25:40 -0500

bittorrent (3.4.2-10) unstable; urgency=low

  * Remove dependency on obselete python-wxgtk2.4.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 18 Oct 2006 08:57:07 -0500

bittorrent (3.4.2-9) unstable; urgency=low

  * Acknowledge NMU. Closes: #383744
  * Remove nowxmsg code from btdownloadgui, since btdownloadgui depends
    on python-wxgtk2.6 now, we don't need to detect it.
    Closes: #393428
  * Remove wxWidgets detection code from btdownloadgui, we depend on it
    so don't need to detect it anymore. Closes: #393431
  * Fix distutils shebang lines so that we don't depend on python2.3.
    Closes: #387022
  * Add /var/log/bittorrent for the default log location when running
    tracker from initscript. Closes: #383510
  * Add some helpful remarks in /etc/default/bittorrent.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 18 Oct 2006 08:44:08 -0500

bittorrent (3.4.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied a patch from Michael Vogt to make it work with python2.4
    (HTTPHandler.http_open() return changed) pulled from 3.4.2-3ubuntu2.
    Closes: #383744

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 29 Aug 2006 16:43:05 +0200

bittorrent (3.4.2-8) unstable; urgency=low

  * Make BitTorrent modules accessible. Closes: #381586

 -- Michael Janssen <jamuraa@debian.org>  Sat,  5 Aug 2006 21:00:57 -0500

bittorrent (3.4.2-7) unstable; urgency=low

  * Output a period if we try to stop the tracker when it's not running.
    Closes: #345902
  * Fix logging in tracker init script to actually log.
    Closes: #369820
  * Install the init script at the defaults, since we disable the daemon
    in /etc/default/bittorrent now.
  * Add LSB comments to the top of the init script.
    Closes: #376944
  * Add some code to fix the "GUI doesn't update" bug.
    Closes: #212809
  * Python transition.
    Closes: #380773

 -- Michael Janssen <jamuraa@debian.org>  Tue,  1 Aug 2006 23:21:15 -0500

bittorrent (3.4.2-6) unstable; urgency=medium

  * Change dependencies so that bittorrent-gui is installable again.
    Closes: #323556
  * Include initscript (off by default) for bttrack.
    Closes: #198848, #325573, #322736
  * Change URL in debian/copyright. Closes: #329706
  * Move fmttime and fmtsize into the library. Closes: #219381

 -- Michael Janssen <jamuraa@debian.org>  Tue, 29 Nov 2005 22:00:47 -0600

bittorrent (3.4.2-5) unstable; urgency=low

  * Fix btcompletedir(gui) so they work. Closes: #306398
  * Ship btcompletedir and btmakemetafile in site-packages so that
    btcompletedir(gui) work. Closes: #298974
  * The fix for #284809 breaks many torrents, therefore I'm reversing it.
    Closes: #315510
  * Don't continue trying to write torrent names when we don't have
    space on the window to do so.  Closes: #311547
  * Standards Version 3.6.2.0
  * New manpage btcompletedirgui.1. Closes: #311933

 -- Michael Janssen <jamuraa@debian.org>  Wed, 20 Jul 2005 20:24:29 -0500

bittorrent (3.4.2-4) unstable; urgency=high

  * High-urgency upload for sarge targetted probably-should-be-RC bugfix.
  * Invoke update-alternatives --remove in the prerm scripts. This was not
    only leaving dangling symlinks around, but preventing bittornado to
    properly set up itself after bittorrent was removed. See dpkg bugs
    #285686 and #308838 for reference.  Thanks go highly to Adeodato SimÃ³
    for the patch.  Closes: #286966, #281371.
  * Reinitialize curses when the window is resized, and make a flag for
    when the window is reinitializing - this should fix this persistent
    bug. Closes: #247361.
  * Added announce URL existence check. Closes: #267210.
  * Use incoming ports as outgoing ports also for easier traffic shaping.
    Closes: #284809.
  * Limit errors spewed by btdownloadheadless to 5 so that they don't
    fill up the screen. Closes: #296184.
  * Remove mimetype stuff from scripts because dh_installmime does it
    for us, isn't that nice?
  * Place new btcompletedir manpage.  Thanks to Danilo Piazzalunga.
    Closes: #285187.
  * Fix typos in bttrack.1. Closes: #288668, #310346.
  * I'm so tired of the KiB/KB issue, so I'm following the lead of
    a great tool called df.  When it outputs human-readable units,
    they're in powers of 2, but they don't have any B or iB or
    whatever.  BitTorrent in Debian is now similar. Closes: #289321.
  * Fix bittorrent-downloader manpage so --spew and --max_initiate
    don't run together.  Closes: #306480.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 20 Jul 2005 17:04:27 -0500

bittorrent (3.4.2-3) unstable; urgency=low

  * Split bittorrent package into bittorrent and bittorrent-gui
    to be compliant with Policy 11.8.1. closes: #180396
    + Falling back to btdownloadcurses from btdownloadgui
      is pointless if it isn't installed. closes: #219466
    + This also solves the problem with the obsolete
      message, it doesn't exist anymore. closes: #278583
  * Use the alternatives system so that we can all get along,
    and be installed together in harmony. closes: #263003
  * Apply patch so that --allow_get uses hex for it's URLs
    instead of raw SHA-1 binary hashes. closes: #275637
  * Fix typo in btlaunchmany. closes: #262974
  * Fix problem with guide.html. closes: #265506

 -- Michael Janssen <jamuraa@debian.org>  Sun,  7 Nov 2004 00:16:07 -0600

bittorrent (3.4.2-2) unstable; urgency=low

  * Changed KiB/s and KB/s to kB/s, changed / to : in btlaunchmany,
    added "/s" to transfer rates.  closes: #247236
  * Sort display of files on btlaunchmany, btlaunchmanycurses to be
    sorted by torrent file name. closes: #247237
  * Set download rate to 0 when complete with file (btlaunchmany).
    closes: #247239
  * Add TOS setting code to outgoing as well as incomign connections. 
    closes: #253499

 -- Michael Janssen <jamuraa@debian.org>  Fri, 16 Jul 2004 09:57:43 -0500

bittorrent (3.4.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Janssen <jamuraa@debian.org>  Mon,  5 Apr 2004 01:23:54 -0500

bittorrent (3.4.1a-1) unstable; urgency=low

  * The "not enough time in the day" release.
  * New upstream release. closes: #236740
    + Tracker problems don't popup error messages if the transfer
      is still working anymore. closes: #217572
  * Use dh_python to get python deps and postinst handled, yay!
    closes: #215119
  * Remove empty usr/sbin directory from the package. closes: #219382
  * Fix btreannounce manpage. closes: #228116
  * Add some html documentation to the package. (thanks Javier) 
    closes: #219038

 -- Michael Janssen <jamuraa@debian.org>  Fri, 26 Mar 2004 15:01:00 -0600

bittorrent (3.3-4) unstable; urgency=low

  * Made btdownloadgui exit cleanly when we can't find wxpython.
  * Remove some useless code that got included from backport patches
    when the 3.2.1 -> 3.3 switch happened.

 -- Michael Janssen <jamuraa@debian.org>  Fri, 26 Mar 2004 13:36:40 -0600

bittorrent (3.3-3) unstable; urgency=low

  * Removed annoying and unreliable, non-policy compliant donation
    asking code. closes: #215983, #212940
  * Re-add warning code for people who don't have wxpython. 
  * Fix manpage because btdownloadprefetched doesn't exist anymore. 
    closes: #213388

 -- Michael Janssen <jamuraa@debian.org>  Wed, 15 Oct 2003 21:13:47 -0500

bittorrent (3.3-2) unstable; urgency=low

  * The "test before you upload" release. 
  * Fixed problem with btdownloadgui because of executable renaming.
    closes: #212662

 -- Michael Janssen <jamuraa@debian.org>  Wed, 24 Sep 2003 23:05:02 -0500

bittorrent (3.3-1) unstable; urgency=low

  * New upstream release
    + Files/URLs accepted on command line now. closes: #200267
    + New allocation method. closes: #193455
    + Major curses updates. closes: #212172
  * Fixed typo in bittorrent-downloader page. closes: #211377

 -- Michael Janssen <jamuraa@debian.org>  Wed, 24 Sep 2003 21:51:19 -0500

bittorrent (3.2.1b-5) unstable; urgency=low

  * The "DOH!" release.
  * Fix syntax error in btlaunchmanycurses. closes: #206135

 -- Michael Janssen <jamuraa@base0.net>  Mon, 18 Aug 2003 22:07:27 -0500

bittorrent (3.2.1b-4) unstable; urgency=low

  * The "why oh why am I not following CVS" release.
  * Import the system function before we use it. closes: #196305
  * Release the lock if a thread dies while checking the file(s).
    closes: #196397
  * Call WINCH handler when an error happens in btlaunchmanycurses,
    so that the screen doesn't get as garbled. closes: #200559
  * Add ^L parsing to btdownloadcurses so that people can get rid of
    annoying urllib bugs. closes: #200648, #195605
  * Repackage against new python. closes: #205850
  * Change error time displayed by btdownloadcurses to use the appropriate
    locale's representation. closes: #196395

 -- Michael Janssen <jamuraa@base0.net>  Sun, 17 Aug 2003 19:23:33 -0500

bittorrent (3.2.1b-3) unstable; urgency=low

  * The "summer is finally here" release.
  * Change btdownloadcurses to display only as many errors that can fit
    on the screen. closes: #189371
  * Remove .py manpages I forgot about last time. closes: #191801
  * Fix mailcap so it doesn't point to a nonexistent script.
    closes: #193502
  * Change the non-X11 entry to start the curses version
  * Make files get closed cleanly. closes: #193624
  * Change the mass downloaders so they only check one torrent at a time
    so we don't step on each other for disk accesses. closes: #193302
  
 -- Michael Janssen <jamuraa@base0.net>  Thu, 22 May 2003 18:19:08 -0500

bittorrent (3.2.1b-2) unstable; urgency=low

  * The "didn't I do this once already?" release.
  * Change shebang line to use python2.2 (again). 
    closes: #190089, #190150
  * Rename scripts without .py and removed links. closes: #189304
  * Change recommends to libwxgtk2.4-python. closes: #189570
  * Fixed mailcap. closes: #189015, #188691

 -- Michael Janssen <jamuraa@base0.net>  Tue, 22 Apr 2003 08:51:37 -0500

bittorrent (3.2.1b-1) unstable; urgency=low

  * New Upstream Release. closes: #187054
  * Wrote manpages for bittorrent-multi-downloader, btrename,
    btreannounce, btshowmetainfo

 -- Michael Janssen <jamuraa@base0.net>  Fri, 11 Apr 2003 00:23:27 -0500

bittorrent (3.1-5) unstable; urgency=low

  * Change '/usr/bin/env python' to '/usr/bin/env python2.2' since
    we depend on python > 2.2 | python2.2, and python2.2 doesn't
    have 'python' in it.
  * Call python2.2 in postinst as well. closes: #185852

 -- Michael Janssen <jamuraa@base0.net>  Sun, 23 Mar 2003 00:13:48 -0600

bittorrent (3.1-4) unstable; urgency=low

  * Add optional depend on python2.2 so we can get into testing.
  * Add options --max_upload_rate, --check_hashes, --alloc_pause, and
    --snub_time to bittorrent-downloaders.1. closes: #182634
  * Make btdownloadcurses die nicely and display the list of
    arguments like btdownloadheadless does. closes: #183289
  * Change the filename in FAQ.txt to a unix-like filename.
    closes: #179159
  * Update to Standards-Version 3.5.9.
  * Update to debhelper 4, change depends line appropriately.
  * Install btlaunchmany.py too.

 -- Michael Janssen <jamuraa@base0.net>  Mon, 17 Mar 2003 02:03:32 -0600

bittorrent (3.1-3) unstable; urgency=low

  * Added python-dev to build-depends. closes: #179035
  * Changed wxGtk test to fail instead of pass when
    libwxgtk2.2-python is installed, which bittorrent doesn't work
    with. closes: #179047
  * Changed wxGtk failure message to note that libwxgtk2.2-python is
    insufficient.

 -- Michael Janssen <jamuraa@base0.net>  Thu, 30 Jan 2003 10:46:29 -0600

bittorrent (3.1-2) unstable; urgency=low

  * Don't ship .pyc.  Compile .pyc and .pyo when installed.
  * libwxgtk2.3-python isn't in testing, tell people this.
  * Added mime-support to Suggests.

 -- Michael Janssen <jamuraa@base0.net>  Fri, 24 Jan 2003 20:56:08 -0600

bittorrent (3.1-1) unstable; urgency=low

  * Initial Release.

 -- Michael Janssen <jamuraa@debian.org>  Sat, 18 Jan 2003 02:23:11 -0600

